Skip to content
Skip to main content
GET
/v3/grants/{grant_id}/drafts/{draft_id}

Return a Draft

Return a draft by ID.

NYLAS API KEYACCESS TOKEN

Parameters

Path parameters

grant_id*string

ID of the grant to access. Use /me/ to refer to the grant associated with an access token.

draft_id*string

ID of the draft to access. Nylas recommends you URL-encode this field, or you might receive a 404 error if the ID contains special characters (for example, #).

Query parameters

selectstring

Specify fields that you want Nylas to return, as a comma-separated list (for example, select=id,updated_at). This allows you to receive only the portion of object data that you're interested in. You can use select to optimize response size and reduce latency by limiting queries to only the information that you need.

query_imapboolean

(IMAP, iCloud, and Yahoo only) When true, Nylas queries from the IMAP server directly instead of the Nylas database.

Default: false

Responses

request_idstring

The request ID.

dataobject

A draft of a message. You can edit a draft until you send it as a message.

GEThttps://api.us.nylas.com/v3/grants/{grant_id}/drafts/{draft_id}?query_imap=false

Find your API key in the Nylas Dashboard under API Keys in your application settings.

grant_idrequiredstring

ID of the grant to access. Use /me/ to refer to the grant associated with an access token.

draft_idrequiredstring

ID of the draft to access. Nylas recommends you URL-encode this field, or you might receive a `404` error if the ID contains special characters (for example, #).

selectstring

Specify fields that you want Nylas to return, as a comma-separated list (for example, select=id,updated_at). This allows you to receive only the portion of object data that you're interested in. You can use select to optimize response size and reduce latency by limiting queries to only the information that you need.

query_imapboolean

(IMAP, iCloud, and Yahoo only) When true, Nylas queries from the IMAP server directly instead of the Nylas database.